[latex3-commits] [l3svn] 06/08: Make addition of deps to Travis CI easier
noreply at latex-project.org
noreply at latex-project.org
Sat Oct 3 00:01:12 CEST 2015
This is an automated email from the git hooks/post-receive script.
joseph pushed a commit to branch master
in repository l3svn.
commit 3d2bdaac3efaca561f1c75160b933fad332bff25
Author: Joseph Wright <joseph.wright at morningstar2.co.uk>
Date: Fri Oct 2 22:15:36 2015 +0100
Make addition of deps to Travis CI easier
---
texlive.sh | 40 +++++++++++++++++++++-------------------
1 file changed, 21 insertions(+), 19 deletions(-)
diff --git a/texlive.sh b/texlive.sh
index f3dfb06..2a1de2c 100644
--- a/texlive.sh
+++ b/texlive.sh
@@ -6,21 +6,7 @@
# A minimal current TL is installed adding only the packages that are
# required
-# See if there is a cached verson of TL available
-export PATH=/tmp/texlive/bin/x86_64-linux:$PATH
-if command -v texlua > /dev/null; then
- # Keep no backups (not required, simply makes cache bigger)
- tlmgr option -- autobackup 0
- # Update the TL install but add nothing new
- tlmgr update --self --all --no-auto-install
- exit 0
-fi
-
-wget http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz
-tar -xzf install-tl-unx.tar.gz
-cd install-tl-20*
-
-# Set up the automated install
+# Set up the automated install (if required)
cat << EOF >> texlive.profile
selected_scheme scheme-minimal
TEXDIR /tmp/texlive
@@ -34,11 +20,27 @@ option_doc 0
option_src 0
EOF
-./install-tl --profile=./texlive.profile
+# See if there is a cached verson of TL available
+export PATH=/tmp/texlive/bin/x86_64-linux:$PATH
+if ! command -v texlua > /dev/null; then
+ # Obtain TeX Live
+ wget http://mirror.ctan.org/systems/texlive/tlnet/install-tl-unx.tar.gz
+ tar -xzf install-tl-unx.tar.gz
+ cd install-tl-20*
+
+ # Install a minimal system
+ ./install-tl --profile=../texlive.profile
+
+ # Core requirements for the test system
+ tlmgr install babel babel-english latex latex-bin latex-fonts latexconfig \
+ xetex
+ tlmgr install --no-depends ptex uptex
+fi
-# Core requirements for the test system
-tlmgr install babel babel-english latex latex-bin latex-fonts latexconfig xetex
-tlmgr install --no-depends ptex uptex
+# Keep no backups (not required, simply makes cache bigger)
+tlmgr option -- autobackup 0
+# Update the TL install but add nothing new
+tlmgr update --self --all --no-auto-install
# Dependencies
tlmgr install \
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
More information about the latex3-commits
mailing list